## grml2usb 0.10.1

=== Makefile ===
all: doc

doc: doc_man doc_html

doc_html: html-stamp

html-stamp: grml2usb.8.txt grml2iso.8.txt
	asciidoc -b xhtml11 -a icons -a toc -a numbered grml2usb.8.txt
	asciidoc -b xhtml11 -a icons -a toc -a numbered grml2iso.8.txt
	touch html-stamp

doc_man: man-stamp

man-stamp: grml2usb.8.txt grml2iso.8.txt
	# grml2usb:
	asciidoc -d manpage -b docbook grml2usb.8.txt
	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' grml2usb.8.xml
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2usb.8.xml
	# ugly hack to avoid duplicate empty lines in manpage
	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
	cp grml2usb.8 grml2usb.8.tmp
	uniq grml2usb.8.tmp > grml2usb.8
	# ugly hack to avoid '.sp' at the end of a sentence or paragraph:
	sed -i 's/\.sp//' grml2usb.8
	rm grml2usb.8.tmp
	# grml2iso:
	asciidoc -d manpage -b docbook grml2iso.8.txt
	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' grml2iso.8.xml
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2iso.8.xml
	# ugly hack to avoid duplicate empty lines in manpage
	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
	cp grml2iso.8 grml2iso.8.tmp
	uniq grml2iso.8.tmp > grml2iso.8
	# ugly hack to avoid '.sp' at the end of a sentence or paragraph:
	sed -i 's/\.sp//' grml2iso.8
	rm grml2iso.8.tmp
	# we're done
	touch man-stamp

online: all
	scp grml2usb.8.html grml:/var/www/grml/grml2usb/index.html
	scp images/icons/*          grml:/var/www/grml/grml2usb/images/icons/
	scp images/screenshot.png   grml:/var/www/grml/grml2usb/images/

tarball: all
	./tarball.sh

tarball-online: tarball
	scp grml2usb.tgz grml2usb.tgz.md5.asc grml:/var/www/grml/grml2usb/

clean:
	rm -rf grml2usb.8.html grml2usb.8.xml grml2usb.8
	rm -rf grml2iso.8.html grml2iso.8.xml grml2iso.8
	rm -rf html-stamp man-stamp grml2usb.tar.gz grml2usb.tgz grml2usb.tgz.md5.asc

codecheck:
	pyflakes grml2usb
	pylint --include-ids=y --max-line-length=120 grml2usb
	# pylint --include-ids=y --disable-msg-cat=C0301 --disable-msg-cat=W0511 grml2usb
	# pylint --reports=n --include-ids=y --disable-msg-cat=C0301 grml2usb

# graph:
#	sudo pycallgraph grml2usb /grml/isos/grml-small_2008.11.iso /dev/sdb1

=== doc/Makefile ===
all: doc

doc: doc_man doc_html

doc_html: html-stamp

html-stamp: mbr.8.txt
	asciidoc -b xhtml11 -a icons mbr.8.txt
	touch html-stamp

doc_man: man-stamp

man-stamp: mbr.8.txt
	asciidoc -d manpage -b docbook mbr.8.txt
	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' mbr.8.xml
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl mbr.8.xml
	# ugly hack to avoid duplicate empty lines in manpage
	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
	cp mbr.8 mbr.8.tmp
	uniq mbr.8.tmp > mbr.8
	# ugly hack to avoid '.sp' at the end of a sentence or paragraph:
	sed -i 's/\.sp//' mbr.8
	rm mbr.8.tmp
	touch man-stamp

#online: all
#	scp mbr.8.html grml:/var/www/grml/mbr/index.html
#	scp images/icons/*          grml:/var/www/grml/mbr/images/icons/
#	scp images/screenshot.png   grml:/var/www/grml/mbr/images/

clean:
	rm -rf mbr.8.html mbr.8.xml mbr.8 html-stamp man-stamp

=== debian/changelog ===
grml2usb (0.10.1) unstable; urgency=low

  Packaging fixes:
  * [05f4996] Fix FTBFS on i386: must build arch package in binary-arch
  * [ba108d8] Reword/reformat some text in debian/copyright

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Tue, 04 Oct 2011 10:07:42 +0200

grml2usb (0.10.0) unstable; urgency=low

  Target Debian unstable:
  * Build only on i386 and amd64.
  * Remove Grml Origin and Bugs entries

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 03 Oct 2011 23:27:14 +0200

grml2usb (0.9.35) unstable; urgency=low

  * [19b2fe7] Support USB keys with superfloppy format
  * [e8fb17b] grml2iso: fix check for grml2usb
  * [e1ad166] Loop-mount ISO with read-only option
  * [e5ae97f] Remove grml2usb-compat
  * [5d028a0] Remove grub1 support
  * [7874f97] Remove static lilo binaries and lilo support

  Packaging changes:
  * [ecfce70] Use dh_prep, bump debhelper compat level to 7
  * [1b22f2a] Set debian/source/format to 3.0 (native)
  * [7a142d9] Fix debian-rules-missing-recommended-target lintian warning
  * [c26aae4] No longer mention mkisofs in debian/control
  * [fdb81b1] Add debian/control headers Origin, Bugs
  * [154f7d7] Switch section to admin, from grml
  * [7e48792] Update Maintainer/Uploaders to Team

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 03 Oct 2011 23:06:42 +0200

grml2usb (0.9.34) unstable; urgency=low

  * [def6424] Fix warning message for missing files.

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jul 2011 09:41:24 +0200

grml2usb (0.9.33) unstable; urgency=low

  * [c021230] Don't nag users about gpxe.lkrn

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 16 May 2011 00:49:34 +0200

grml2usb (0.9.32) unstable; urgency=low

  [ Michael Prokop ]
  * [b2a896e] Support iPXE as new alternative for gPXE.
  * [a364513] Add pyflakes to codecheck.

  [ Christian Hofstaedtler ]
  * [c479a12] add an FAQ regarding to HDT hangs [Closes: issue976]
  * [39d0e12] Bump Standards-Version to 3.9.2
  * [af2a36f] Update debian/overrides for newer lintian versions

 -- Christian Hofstaedtler <ch@grml.org>  Tue, 10 May 2011 22:45:27 +0200

grml2usb (0.9.31) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f5e949b] Support mkisofs or genisoimage in grml2iso. Updated
    debian/control accordingly.
  * [a9ab0bf] Print warning if grml2usb is not found in grml2iso.
  * [d85b3e3] Support arbitrary grml2usb options in grml2iso.
  * [cc12ab6] Allow multiple --bootoptions for grml2usb. This makes
    scripting a lot easier.
  * [161f2d5] Support generating small iso images with grml2iso.

  [ Michael Prokop ]
  * [1980861] Typo fixes and minor formating corrections.

 -- Michael Prokop <mika@grml.org>  Mon, 14 Feb 2011 10:39:07 +0100

grml2usb (0.9.30) unstable; urgency=low

  * [35b606b] fix broken grub command terminal_output (should be
    "terminal_output gfxterm" instead of terminal_output.gfxterm) -
    thanks to Bert Schulze <spambemyguest@googlemail.com>

 -- Michael Prokop <mika@grml.org>  Sat, 08 Jan 2011 23:11:15 +0100

grml2usb (0.9.29) unstable; urgency=low

  [ Thorsten Glaser ]
  * [601cc84] correct a pasto (it's 'grub.cfg')
  * [dc6a084] There is no /bin/bash on most operating systems.
  * [eb1a910] fix bsd4grml boot (loopback and regular)

  [ Ulrich Dangel ]
  * [3cec649] Append new flavours to grml-version, do not only update
    existing versions
  * [35d64cf] Update version
  * [ff5be86] Improve logging message

  [ Michael Prokop ]
  * [e32e549] Re-add mtools to Depends as they are just suggests of
    syslinux package - thanks to Michael Gissing for the bugreport.
    [Closes: issue905]

 -- Michael Prokop <mika@grml.org>  Thu, 25 Nov 2010 11:15:10 +0100

grml2usb (0.9.28) unstable; urgency=low

  [ Ulrich Dangel ]
  * [7b4fa5c] Some code cleanup.
  * [2a93d92] Copy bootloader files from /usr/lib/syslinux/
    [Closes: issue894]
  * [c0fd54e] Run grub-install without and with --force option.
  * [1a5a6cd] bsd4grml was not copied correctly to the target device.

  [ Christian Hofstaedtler ]
  * [875b62b] Rename variables in update_grml_versions to be less
    confusing.
  * [791485b] Properly update grml-versions when updating a grml
    flavour.

  [ Michael Prokop ]
  * [91529cc] Bump Standards-Version to 3.9.1.

 -- Michael Prokop <mika@grml.org>  Tue, 28 Sep 2010 23:57:16 +0200

grml2usb (0.9.27) unstable; urgency=low

  [ Michael Prokop ]
  * [3836a71] Check for precense of grub/syslinux at startup time.
    Thanks to Eduard Bloch for reporting.  [Closes: issue855]
  * [bde7012] Mention --force switch of grub-install in debug log.
  * [1c1c18c] Doc: fix documentation regarding default bootmanager.
    (thanks Martin Krafft).
  * [bae5bfb] Bump Standards-Version to 3.9.0.

  [ Ulrich Dangel ]
  * [b79a4cc] Fix error message for unintialized partition.
    [Closes: issue857]
  * [cd204ee] Fix user feedback about default flavour and
    installed flavours.

 -- Michael Prokop <mika@grml.org>  Wed, 30 Jun 2010 13:10:09 +0200

grml2usb (0.9.26) unstable; urgency=low

  [ Ulrich Dangel ]
  * Code cleanup.
  * Support expanding bootoptions variables.
  * Fix string concatenation and string formatting error.

  [ Michael Prokop ]
  * Document grub option in manpage (thanks Andrey Rahmatulli).

 -- Michael Prokop <mika@grml.org>  Fri, 28 May 2010 01:16:35 +0200

grml2usb (0.9.25) unstable; urgency=low

  * Fix typo in option handling.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Apr 2010 18:10:35 +0200

grml2usb (0.9.24) unstable; urgency=low

  [ Ulrich Dangel ]
  * Add support for isos containing multiple grml flavours.
  * Copy all {sys,iso}linux *.c32 files, like ifcpu64.c32.

  [ Michael Prokop ]
  * Use --force option for grub-install to support installation to PBR
    again. Grub2 starting with version 1.98 supports installation to
    PBR again iff using the --force option.
  * Update documentation regarding grub and PBR vs. MBR.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Apr 2010 13:54:51 +0200

grml2usb (0.9.23) unstable; urgency=low



## grml2usb 0.10.2

=== debian/changelog ===
grml2usb (0.10.2) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [8483753] Remove mention of grml2hd
  * [49672e8] Disable validation of autogenerated docbook xml

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 20:30:20 +0100

## grml2usb 0.11.1

=== debian/changelog ===
grml2usb (0.11.1) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [2534968] Add nokms option to grub menu
  * [e9f7cff] sync grub.cfg menu entries with grml-live templates

 -- Michael Prokop <mika@grml.org>  Sun, 11 Dec 2011 21:28:12 +0100

grml2usb (0.11.0) unstable; urgency=low

  * [b1bf09c] Install boot files required for [U]EFI boot

 -- Michael Prokop <mika@grml.org>  Thu, 08 Dec 2011 15:00:04 +0100

=== debian/control ===
Source: grml2usb
Section: admin
Priority: optional
Maintainer: Grml Team <team@grml.org>
Uploaders: Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>, Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <mru@spamt.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), asciidoc, xsltproc, docbook-xsl
Standards-Version: 3.9.2
Homepage: http://grml.org/grml2usb/
Vcs-git: git://git.grml.org/grml2usb.git
Vcs-Browser: http://git.grml.org/?p=grml2usb.git

Package: grml2usb
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, syslinux | grub-pc, python, rsync, mtools
Recommends: syslinux, genisoimage
Description: install grml system / ISO to usb device
 This script installs a grml ISO to an USB device to be able
 to boot from it.  Make sure you have at least one grml ISO
 or a running grml system (/live/image) available.

## grml2usb 0.11.2

=== debian/changelog ===
grml2usb (0.11.2) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [bd2f924] Remove 'quiet' from standard boot options
  * [4f47c04] Remove failsafe boot menu entry

  [ Michael Prokop ]
  * [a1ca17b] Add UEFI boot support to grml2iso

 -- Michael Prokop <mika@grml.org>  Thu, 15 Dec 2011 14:35:58 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd mbr && $(MAKE) && cd ..
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	cd mbr && $(MAKE) clean && cd ..
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/share/grml2usb/grub usr/share/grml2usb/mbr

	# Add here commands to install the package into debian/grml2usb.
	install -m 755 grml2usb               debian/grml2usb/usr/sbin/grml2usb
	install -m 755 grml2iso               debian/grml2usb/usr/sbin/grml2iso
	install -m 644 mbr/mbrmgr             debian/grml2usb/usr/share/grml2usb/mbr/mbrmgr
	install -m 644 mbr/mbrldr             debian/grml2usb/usr/share/grml2usb/mbr/mbrldr
	cp -a          grub/                  debian/grml2usb/usr/share/grml2usb/

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs TODO
	dh_installman grml2usb.8 grml2iso.8
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build-indep install
# Nothing to do.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## grml2usb 0.11.3

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	# grml2usb:
 	asciidoc -d manpage -b docbook grml2usb.8.txt
 	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' grml2usb.8.xml
-	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2usb.8.xml
+	xsltproc --novalid --nonet /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2usb.8.xml
 	# ugly hack to avoid duplicate empty lines in manpage
 	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
 	cp grml2usb.8 grml2usb.8.tmp
@@ -26,7 +26,7 @@
 	# grml2iso:
 	asciidoc -d manpage -b docbook grml2iso.8.txt
 	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' grml2iso.8.xml
-	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2iso.8.xml
+	xsltproc --novalid --nonet /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml2iso.8.xml
 	# ugly hack to avoid duplicate empty lines in manpage
 	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
 	cp grml2iso.8 grml2iso.8.tmp

=== debian/changelog ===
grml2usb (0.11.3) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [894eef9] Use grub splash image from ISO
  * [fdc186c] Remove hardcoded version from grml2usb
  * [bd89fc4] Cleanup grub.cfg install logic
  * [569dfb3] Add support for new kernel/initrd filenames
  * [5818eec] Fix add/remove bootoptions with new kernel/initrd names
  * [6817350] Fix typo
  * [b82aaee] Mimic /boot/%SHORT_NAME% like on the ISO
  * [100193b] Use grub config from ISO instead of writing a new one
  * [feca364] Warn that older versions can't do multi-flavour grub
  * [6b93ccd] Load loop kernel module [Closes: issue1097]

 -- Michael Prokop <mika@grml.org>  Thu, 22 Dec 2011 23:55:08 +0100

## grml2usb 0.11.5

=== debian/changelog ===
grml2usb (0.11.5) unstable; urgency=low

  The "grml96 support ♫♫♫" release

  [ Ulrich Dangel ]
  * [eb087c0] Support multiple flavours on a cd
  * [4608131] Modify grub config files for the specified flavour instead
    of all grub config files
  * [c6af951] Streamline grml_flavour modification
  * [c421fb3] Only modify live-media-path for current flavour

 -- Michael Prokop <mika@grml.org>  Wed, 11 Jan 2012 16:10:51 +0100

grml2usb (0.11.4) unstable; urgency=low

  [ Ulrich Dangel ]
  * [35feaad] Copy complete Grml flavour directory instead of explicit
    specifying files

  [ Michael Prokop ]
  * [7c0195d] Make sure we don't fail in device check when using
    /dev/disk-by-label/* - Thanks to Bernhard Tittelbach

 -- Michael Prokop <mika@grml.org>  Mon, 09 Jan 2012 16:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: grml2usb
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, syslinux | grub-pc, python, rsync, mtools
-Recommends: syslinux, genisoimage
+Recommends: syslinux, xorriso | genisoimage
 Description: install grml system / ISO to usb device
  This script installs a grml ISO to an USB device to be able
  to boot from it.  Make sure you have at least one grml ISO

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+VERSION:=$(shell dpkg-parsechangelog | awk '/Version: / { print $$2 }')
+
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
@@ -16,7 +18,7 @@
 build-stamp:
 	dh_testdir
 
-	# Add here commands to compile the package.
+	egrep -q "PROG_VERSION='\*\*\*UNRELEASED\*\*\*'" grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
 	$(MAKE)
 	cd mbr && $(MAKE) && cd ..
 	touch build-stamp
@@ -39,6 +41,7 @@
 
 	# Add here commands to install the package into debian/grml2usb.
 	install -m 755 grml2usb               debian/grml2usb/usr/sbin/grml2usb
+	sed -i -e "s/PROG_VERSION='\*\*\*UNRELEASED\*\*\*'/PROG_VERSION='$(VERSION)'/" debian/grml2usb/usr/sbin/grml2usb
 	install -m 755 grml2iso               debian/grml2usb/usr/sbin/grml2iso
 	install -m 644 mbr/mbrmgr             debian/grml2usb/usr/share/grml2usb/mbr/mbrmgr
 	install -m 644 mbr/mbrldr             debian/grml2usb/usr/share/grml2usb/mbr/mbrldr

## grml2usb 0.11.6

=== debian/changelog ===
grml2usb (0.11.6) unstable; urgency=low

  The "custom bootsplash without remastering ☕☕☕" release

  [ Ulrich Dangel ]
  * [f956c82] grml2iso: Canonicalize overlay directory
  * [7494e3f] grml2iso: Support template parameters in overlay directory.
    For now only GRML_NAME, VERSION, RELEASENAME, DATE, SHORT_NAME,
    RELEASE_INFO and BOOTID are supported.

 -- Michael Prokop <mika@grml.org>  Fri, 27 Jan 2012 12:29:21 +0100

## grml2usb 0.12.1

=== debian/changelog ===
grml2usb (0.12.1) unstable; urgency=low

  * [7c076d1] Support multiple flavours inside one ISO. Thanks to Ulrich
    Dangel for the patch (Closes: issue1172)

 -- Michael Prokop <mika@grml.org>  Sun, 27 May 2012 22:23:07 +0200

grml2usb (0.12.0) unstable; urgency=low

  [ Michael Prokop ]
  * [f1cfc39] grml2iso: use shell for calculation instead of using bc
  * [2223843] Rebuild loopback.cfg with present configuration files
  * [5df5aeb] Bump Standards-Version to 3.9.3
  * [09149d7] Drop oudated tarball-online make target and support
    prepare-release instead
  * [607fd41] pep8 cleanups
  * [c2d87f6] Adjust PROG_VERSION code in debian/rules for pep8 cleanup

  [ Evgeni Golov ]
  * [3505897] fix manpage markup

 -- Michael Prokop <mika@grml.org>  Wed, 09 May 2012 12:58:46 +0200

## grml2usb 0.12.2

=== debian/changelog ===
grml2usb (0.12.2) unstable; urgency=low

  * [f3a85ac] copy_addons: install all *.c32 addons in /boot/addons/
    (fixing broken addon entries in grml96 ISOs)

 -- Michael Prokop <mika@grml.org>  Mon, 28 May 2012 17:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>, Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <mru@spamt.net>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7), asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: http://git.grml.org/?p=grml2usb.git

## grml2usb 0.13.7

=== debian/changelog ===
grml2usb (0.13.7) unstable; urgency=low

  The "towards jessie" release

  [ Christian Hofstaedtler ]
  * [87143a6] Remove obsolete DM-Upload-Allowed flag

  [ Evgeni Golov ]
  * [3fb00de] "if not" also triggers when value is 0, use
    "if is None" instead

  [ Lukas Prokop ]
  * [7b409af] Fix typo.
  * Rework error handling to avoid unnecessary backtraces,
    commmits [26cf633] [7cef744] [6990c85] [5276a23] [cdb4aa4]
    [a06f95e] and [fafa0d8]

 -- Michael Prokop <mika@grml.org>  Tue, 14 May 2013 19:04:50 +0200

grml2usb (0.13.6) experimental; urgency=low

  * [9e7a48d] grml2iso: make sure to exit properly if provided argument to
    -c option does not exist
  * [a22cf21] Make sure modprobe executable can be accessed
  * [62acdab] grml2iso: provide more user-friendly error message if
    grml2usb executable is not available
  * [0ab2a72] Normalize temporary working directory to not fail with
    relative directory path

 -- Michael Prokop <mika@grml.org>  Tue, 23 Apr 2013 22:32:36 +0200

grml2usb (0.13.5) experimental; urgency=low

  [ Evgeni Golov ]
  * [a17807b] fix detection of strange (xxxNpM) structures when finding
    the device for a partition [Closes: issue1244]

 -- Michael Prokop <mika@grml.org>  Mon, 18 Mar 2013 15:12:10 +0100

grml2usb (0.13.4) experimental; urgency=low

  * [aff3fa9] Add realpath to Depends as it's required by grml2iso
  * [14e017c] Do not use partition for bootflag check but disk itself
  * [0deeae3] Mention /lib/live/mount/medium for new live path + adjust
    ISO versions

 -- Michael Prokop <mika@grml.org>  Thu, 10 Jan 2013 14:08:09 +0100

grml2usb (0.13.3) experimental; urgency=low

  * [7705455] grml2iso: use absolute path for working directory to not
    fail when user specified relative path
  * [3f80e5a] Verify that the bootflag is enabled
  * [922c039] Bump Standards-Version to 3.9.4

 -- Michael Prokop <mika@grml.org>  Mon, 17 Dec 2012 13:21:39 +0100

grml2usb (0.13.2) unstable; urgency=low

  [ Michael Prokop ]
  * [7e6faf1] Fix logging message if operating on a directory
  * [cf525c6] Exit with better error message if running with toram=... and
    invoking with /live/image

  [ Lukas Prokop ]
  * [5251ce1] Fix error message.

 -- Michael Prokop <mika@grml.org>  Tue, 11 Sep 2012 18:28:31 +0200

grml2usb (0.13.1) unstable; urgency=low

  * [720b859] grml2iso: make ISOs dd-able through isohybrid

 -- Michael Prokop <mika@grml.org>  Tue, 11 Sep 2012 12:16:04 +0200

grml2usb (0.13.0) unstable; urgency=low

  [ Michael Prokop ]
  * [927e586] grml2iso: fix typo + improve wording
  * [178cb6a] grml2iso: support -t to set temporary working directory

  [ Lukas Prokop ]
  * [752b503] grml2usb: introduce option --tmpdir

 -- Michael Prokop <mika@grml.org>  Mon, 10 Sep 2012 09:13:25 +0200

## grml2usb 0.13.8

=== debian/changelog ===
grml2usb (0.13.8) unstable; urgency=low

  * [de40a5f] Skip check for bootflag if a GPT header is present

 -- Michael Prokop <mika@grml.org>  Wed, 15 May 2013 14:54:21 +0200

## grml2usb 0.14.0

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,9 @@
 tarball: all
 	./tarball.sh
 
-tarball-online: tarball
-	scp grml2usb.tgz grml2usb.tgz.md5.asc grml:/var/www/grml/grml2usb/
+prepare-release:
+	./tarball.sh --no-gpg
+
 
 clean:
 	rm -rf grml2usb.8.html grml2usb.8.xml grml2usb.8

=== debian/changelog ===
grml2usb (0.14.0) unstable; urgency=low

  * [360c9e5] Use lowercase 'timeout' command in syslinux configuration
    [Closes: issue1262] Thanks to Martin Šlouf for reporting this bug
    including a workaround
  * grml2iso related changes:
    - [20752e3] skip --uefi option of isohybrid if ISO doesn't
      ship /boot/efi.img
    - [f3370b9] extend error message of required ISO generation
      tools with xorriso
    - [8e0bdf8] mention isolinux in 'isohybrid executable not
      found' message, add isolinux to recommends
    - [37fa9f8] disable UEFI mode by default, only enable for
      xorriso under according prerequisites
    - [86c00b8] make sure we have the sbin directories in our PATH

 -- Michael Prokop <mika@grml.org>  Wed, 26 Jun 2013 17:27:18 +0200

=== debian/control ===
Source: grml2usb
Section: admin
Priority: optional
Maintainer: Grml Team <team@grml.org>
Uploaders: Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>, Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <mru@spamt.net>
Build-Depends: debhelper (>= 7), asciidoc, xsltproc, docbook-xsl
Standards-Version: 3.9.4
Homepage: http://grml.org/grml2usb/
Vcs-git: git://git.grml.org/grml2usb.git
Vcs-Browser: http://git.grml.org/?p=grml2usb.git

Package: grml2usb
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, syslinux | grub-pc, python, rsync, mtools, realpath
Recommends: syslinux, isolinux, xorriso | genisoimage
Description: install Grml system / ISO to usb device
 This script installs a Grml ISO to an USB device to be able
 to boot from it.  Make sure you have at least one Grml ISO
 or a running Grml system (/lib/live/mount/medium) available.

## grml2usb 0.14.1

=== debian/changelog ===
grml2usb (0.14.1) unstable; urgency=low

  [ Till Maas ]
  * [d26c252] Support also /usr/share/syslinux/ to look for mbr.bin

 -- Michael Prokop <mika@grml.org>  Wed, 14 Aug 2013 13:04:40 +0200

## grml2usb 0.14.2

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,6 @@
 prepare-release:
 	./tarball.sh --no-gpg
 
-
 clean:
 	rm -rf grml2usb.8.html grml2usb.8.xml grml2usb.8
 	rm -rf grml2iso.8.html grml2iso.8.xml grml2iso.8
@@ -59,6 +58,7 @@
 	pylint --include-ids=y --max-line-length=120 grml2usb
 	# pylint --include-ids=y --disable-msg-cat=C0301 --disable-msg-cat=W0511 grml2usb
 	# pylint --reports=n --include-ids=y --disable-msg-cat=C0301 grml2usb
+	pep8 --repeat --ignore E125,E126,E127,E128,E501 grml2usb
 
 # graph:
 #	sudo pycallgraph grml2usb /grml/isos/grml-small_2008.11.iso /dev/sdb1

=== debian/changelog ===
grml2usb (0.14.2) unstable; urgency=low

  [ Michael Prokop ]
  * [bb87234] pep8 cleanups
  * [1d2aba6] Fix typo in /boot/grub/addons.cfg filename. Thanks to
    Michael Schierl for the hint

  [ Christian Hofstaedtler ]
  * [be8270f] Remove Recommends: isolinux, as the package is gone

 -- Michael Prokop <mika@grml.org>  Thu, 31 Oct 2013 08:45:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: grml2usb
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, syslinux | grub-pc, python, rsync, mtools, realpath
-Recommends: syslinux, isolinux, xorriso | genisoimage
+Recommends: syslinux, xorriso | genisoimage
 Description: install Grml system / ISO to usb device
  This script installs a Grml ISO to an USB device to be able
  to boot from it.  Make sure you have at least one Grml ISO

## grml2usb 0.14.6

=== debian/changelog ===
grml2usb (0.14.6) unstable; urgency=medium

  * [f434e19] Add support for Python 3

 -- Michael Prokop <mika@grml.org>  Fri, 04 Jul 2014 10:08:26 +0200

grml2usb (0.14.5) unstable; urgency=medium

  [ Andreas "Jimmy" Gredler ]
  * [178c7f0] Fixed manpages
  * [b214ea0] Minor change in manpage
  * [efd19d8] Replaced all occurences of grml with Grml in the manpages
  * [3176494] Replaced all occurences of iso or Iso with ISO(s) in the
    manpages

  [ Daniel Troeder ]
  * [5b3b5f7] allow grub-install to be called grub2-install (used in
    gentoo)

  [ Michael Prokop ]
  * [22a2cd3] docs: fix typo (persisten*t*-path and wrong uppercase usage
    of Grml64/Grml in syslinux)

 -- Michael Prokop <mika@grml.org>  Thu, 03 Jul 2014 12:48:16 +0200

grml2usb (0.14.4) unstable; urgency=medium

  [ Lukas Prokop ]
  * [4be3d88] Ask user whether he really wants to use non-grml folder
  * [2b2bf9e] Adverb is actually adjective.
  * [411daf1] Silence errors the right way.
  * [2700dd6] Implement folder cleanup support for TMPFILES
    (Closes github issue #5)
  * [1d3c9da] Provide log message for umounted device in cleanup()
  * [b2b4887] Create copies of set before iteration
  * [d33e012] Silent error for StandardError, not RuntimeError

  [ Michael Prokop ]
  * [e2a98b2] More consequently use "Grml" instead of "grml"

 -- Michael Prokop <mika@grml.org>  Mon, 24 Feb 2014 16:02:11 +0100

grml2usb (0.14.3) unstable; urgency=medium

  * [dbf34c4] Bump Standards-Version to 3.9.5
  * [6bf0be8] Fix logic of isohybrid execution if uefi option is not
    supported

 -- Michael Prokop <mika@grml.org>  Fri, 07 Feb 2014 18:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Grml Team <team@grml.org>
 Uploaders: Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>, Christian Hofstaedtler <christian@hofstaedtler.name>, Ulrich Dangel <mru@spamt.net>
 Build-Depends: debhelper (>= 7), asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: http://git.grml.org/?p=grml2usb.git

## grml2usb 0.14.7

=== debian/changelog ===
grml2usb (0.14.7) unstable; urgency=medium

  * [1cb2e6a] Execute wrap-and-sort on debian directory
  * [09300f0] Fix usage of grub-install command. Thanks to martin f krafft
    <madduck@debian.org> for spotting the problem (Closes: #755768)

 -- Michael Prokop <mika@grml.org>  Mon, 11 Aug 2014 22:09:27 +0200

=== debian/control ===
Source: grml2usb
Section: admin
Priority: optional
Maintainer: Grml Team <team@grml.org>
Uploaders: Michael Prokop <mika@debian.org>,
           Alexander Wirt <formorer@debian.org>,
           Christian Hofstaedtler <christian@hofstaedtler.name>,
           Ulrich Dangel <mru@spamt.net>
Build-Depends: asciidoc,
               debhelper (>= 7),
               docbook-xsl,
               xsltproc
Standards-Version: 3.9.5
Homepage: http://grml.org/grml2usb/
Vcs-git: git://git.grml.org/grml2usb.git
Vcs-Browser: http://git.grml.org/?p=grml2usb.git

Package: grml2usb
Architecture: amd64 i386
Depends: mtools,
         python,
         realpath,
         rsync,
         syslinux | grub-pc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: syslinux,
            xorriso | genisoimage
Description: install Grml system / ISO to usb device
 This script installs a Grml ISO to an USB device to be able
 to boot from it.  Make sure you have at least one Grml ISO
 or a running Grml system (/lib/live/mount/medium) available.

## grml2usb 0.14.10

=== debian/changelog ===
grml2usb (0.14.10) unstable; urgency=medium

  [ Michael Prokop ]
  * [3b84e56] Document --skip-bootflag cmdline option

  [ Evgeni Golov ]
  * [018de7b] Fix "global name 'parted' is not defined" error in grml2usb

 -- Michael Prokop <mika@grml.org>  Mon, 13 Oct 2014 10:52:21 +0200

grml2usb (0.14.9) unstable; urgency=medium

  * [2b2c97a] Use pyparted to check for bootflag
    [Closes: issue1248] [Closes: #757993]
    Thanks to Evgeni Golov <evgeni@grml.org> for further
    improving my initial patch.

 -- Michael Prokop <mika@grml.org>  Tue, 07 Oct 2014 08:43:38 +0200

grml2usb (0.14.8) unstable; urgency=medium

  [ Florian Apolloner ]
  * [f993114] style fixes

  [ joeran ]
  * [2b664f3] Extend search paths for syslinux MBRs

  [ Michael Prokop ]
  * [a64597b] Bump Standards-Version to 3.9.6

 -- Michael Prokop <mika@grml.org>  Thu, 02 Oct 2014 11:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper (>= 7),
                docbook-xsl,
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: http://git.grml.org/?p=grml2usb.git
@@ -19,6 +19,7 @@
 Architecture: amd64 i386
 Depends: mtools,
          python,
+         python-parted,
          realpath,
          rsync,
          syslinux | grub-pc,

## grml2usb 0.14.10.1

=== debian/changelog ===
grml2usb (0.14.10.1) unstable; urgency=medium

  * [bfe149a] Sync filesystems before returning from MBR installation
    (Closes: #779193)
  * [83944f2] Add syslinux-utils to Recommends + adjust error message for
    isohybrid (related to #751724)

 -- Michael Prokop <mika@grml.org>  Wed, 25 Feb 2015 14:27:19 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: syslinux,
+            syslinux-utils,
             xorriso | genisoimage
 Description: install Grml system / ISO to usb device
  This script installs a Grml ISO to an USB device to be able

## grml2usb 0.14.12

=== debian/changelog ===
grml2usb (0.14.12) unstable; urgency=medium

  [ Lukas Prokop ]
  * [a3065b8] Fix typo

  [ Michael Prokop ]
  * [6274d13] Realpath is provided by recent coreutils versions, adjust
    Depends. Thanks to Ben Finney <ben+debian@benfinney.id.au> for
    reporting (Closes: #780948)

 -- Michael Prokop <mika@grml.org>  Sat, 06 Jun 2015 01:41:57 +0200

grml2usb (0.14.11) experimental; urgency=medium

  [ Lukas Prokop ]
  * [4a2ffdd] Introduce skip-usb-check
  * [6868425] Disable usage of --copy-only and --grub at the same time

  [ Michael Prokop ]
  * [fa02a2b] Display information when using --skip-usb-check options
  * [1fe44d6] Adjust sorting of cmdline options
  * [7a6e10d] Sync filesystems before returning from MBR installation
    (Closes: #779193)
  * [371c60e] Add syslinux-utils to Recommends + adjust error message for
    isohybrid
  * [a3dde41] Support usage of grml2usb on EFI systems (Closes: #768906)
  * [4a8972f] Document --skip-usb-check option

 -- Michael Prokop <mika@grml.org>  Thu, 26 Feb 2015 14:34:59 +0100

## grml2usb 0.14.13

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,6 @@
 	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
 	cp grml2usb.8 grml2usb.8.tmp
 	uniq grml2usb.8.tmp > grml2usb.8
-	# ugly hack to avoid '.sp' at the end of a sentence or paragraph:
-	sed -i 's/\.sp//' grml2usb.8
 	rm grml2usb.8.tmp
 	# grml2iso:
 	asciidoc -d manpage -b docbook grml2iso.8.txt
@@ -31,8 +29,6 @@
 	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
 	cp grml2iso.8 grml2iso.8.tmp
 	uniq grml2iso.8.tmp > grml2iso.8
-	# ugly hack to avoid '.sp' at the end of a sentence or paragraph:
-	sed -i 's/\.sp//' grml2iso.8
 	rm grml2iso.8.tmp
 	# we're done
 	touch man-stamp

=== debian/changelog ===
grml2usb (0.14.13) unstable; urgency=medium

  [ Evgeni Golov ]
  * [745f097] Catch parted returning None as the searched partition.
    Thanks to to mika and Haudegen for debugging (Closes: #766964)

 -- Michael Prokop <mika@grml.org>  Mon, 28 Sep 2015 18:18:14 +0200

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
 Depends: mtools,
          python,
          python-parted,
-         realpath,
+         coreutils (>= 8.23-1~) | realpath,
          rsync,
-         syslinux | grub-pc,
+         syslinux | grub-pc | grub-efi-amd64,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: syslinux,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 build-stamp:
 	dh_testdir
 
-	egrep -q "PROG_VERSION='\*\*\*UNRELEASED\*\*\*'" grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
+	egrep -q "PROG_VERSION = '\*\*\*UNRELEASED\*\*\*'" grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
 	$(MAKE)
 	cd mbr && $(MAKE) && cd ..
 	touch build-stamp
@@ -41,7 +41,7 @@
 
 	# Add here commands to install the package into debian/grml2usb.
 	install -m 755 grml2usb               debian/grml2usb/usr/sbin/grml2usb
-	sed -i -e "s/PROG_VERSION='\*\*\*UNRELEASED\*\*\*'/PROG_VERSION='$(VERSION)'/" debian/grml2usb/usr/sbin/grml2usb
+	sed -i -e "s/PROG_VERSION = '\*\*\*UNRELEASED\*\*\*'/PROG_VERSION = '$(VERSION)'/" debian/grml2usb/usr/sbin/grml2usb
 	install -m 755 grml2iso               debian/grml2usb/usr/sbin/grml2iso
 	install -m 644 mbr/mbrmgr             debian/grml2usb/usr/share/grml2usb/mbr/mbrmgr
 	install -m 644 mbr/mbrldr             debian/grml2usb/usr/share/grml2usb/mbr/mbrldr

## grml2usb 0.14.14

=== debian/changelog ===
grml2usb (0.14.14) unstable; urgency=medium

  [ Michael Prokop ]
  * [97f73b0] Coding style fixes to make pep8 happy

  [ Christian Hofstaedtler ]
  * [0d13a49] Update my email address
  * [019a392] Bump Standards-Version to 3.9.8 (no changes needed)
  * [a6996e9] Bump debhelper compat level to 10
  * [45e16e7] Use https URL in Vcs-Browser
  * [b400d9c] Correct duplicate word in previous changelog entry

 -- Michael Prokop <mika@grml.org>  Tue, 24 Jan 2017 21:47:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Grml Team <team@grml.org>
 Uploaders: Michael Prokop <mika@debian.org>,
            Alexander Wirt <formorer@debian.org>,
-           Christian Hofstaedtler <christian@hofstaedtler.name>,
+           Christian Hofstaedtler <zeha@debian.org>,
            Ulrich Dangel <mru@spamt.net>
 Build-Depends: asciidoc,
-               debhelper (>= 7),
+               debhelper (>= 10~),
                docbook-xsl,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
-Vcs-Browser: http://git.grml.org/?p=grml2usb.git
+Vcs-Browser: https://git.grml.org/?p=grml2usb.git
 
 Package: grml2usb
 Architecture: amd64 i386

## grml2usb 0.15.4

=== debian/changelog ===
grml2usb (0.15.4) unstable; urgency=medium

  * [976735f] Bump Standards-Version to 4.0.1
  * Upload to Debian unstable now that stretch is stable.

 -- Michael Prokop <mika@grml.org>  Thu, 17 Aug 2017 14:50:03 +0200

grml2usb (0.15.3) experimental; urgency=medium

  * [9cbb231] Option --rw-blockdev: set r/w also in GRUB specific steps.
    Thanks to Ralf Moll
  * [6412ea2] Ensure that grub-install doesn't receive emtpy command line
    argument

 -- Michael Prokop <mika@grml.org>  Wed, 31 May 2017 11:28:43 +0200

grml2usb (0.15.2) experimental; urgency=medium

  * [2ce7572] Support netboot.xyz.lkrn addon. Thanks to Michael Schierl
    for reporting the bug

 -- Michael Prokop <mika@grml.org>  Fri, 26 May 2017 23:34:40 +0200

grml2usb (0.15.1) experimental; urgency=medium

  * [e4a7747] Don't fail hard if installing on partition number >4,
    instead warn user [Closes: issue1353]
  * [4630689] Option --rw-blockdev: ensure to set device to rw between
    grub-install runs + don't set rw on source

 -- Michael Prokop <mika@grml.org>  Wed, 24 May 2017 15:47:54 +0200

grml2usb (0.15.0) experimental; urgency=medium

  The "¡Hola Alicante!" release

  * [5033f52] Support --rw-blockdev option for usage with read-
    only/forensic like devices

 -- Michael Prokop <mika@grml.org>  Thu, 27 Apr 2017 18:48:28 +0200

## grml2usb 0.16.0

=== debian/changelog ===
grml2usb (0.16.0) unstable; urgency=medium

  * [70c9de3] Provide Secure Boot support

 -- Michael Prokop <mika@grml.org>  Thu, 07 Sep 2017 09:40:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper (>= 10~),
                docbook-xsl,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: https://git.grml.org/?p=grml2usb.git

## grml2usb 0.16.1

=== debian/changelog ===
grml2usb (0.16.1) unstable; urgency=medium

  * [7ca80ac] Fix a bunch of typos
  * [5e37e24] Bump Standards-Version to 4.1.4

 -- Michael Prokop <mika@grml.org>  Fri, 25 May 2018 13:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper (>= 10~),
                docbook-xsl,
                xsltproc
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Homepage: http://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: https://git.grml.org/?p=grml2usb.git

## grml2usb 0.16.2

=== debian/changelog ===
grml2usb (0.16.2) unstable; urgency=medium

  [ joeran ]
  * [92d09d8] Python3: Some improvements to increase support

  [ Michael Prokop ]
  * [e4f812a] Make recent versions of pep8 happy
  * [1e9487b] Bump Standards-Version to 4.2.1
  * [d54dd34] Switch Homepage header from http to https

 -- Michael Prokop <mika@grml.org>  Thu, 15 Nov 2018 10:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                debhelper (>= 10~),
                docbook-xsl,
                xsltproc
-Standards-Version: 4.1.4
-Homepage: http://grml.org/grml2usb/
+Standards-Version: 4.2.1
+Homepage: https://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: https://git.grml.org/?p=grml2usb.git

## grml2usb 0.16.3

=== debian/changelog ===
grml2usb (0.16.3) unstable; urgency=medium

  * [1d43bf3] Bump Standards-Version to 4.3.0
  * [daaf329] Depend on either syslinux or grub2-common + grub-pc-bin.
    Thanks to Albert Dengg for bugreport and suggested solution + Axel
    Beckert for assistance in getting a proper dependency resolution
    (Closes: #796801)
  * [ae4c051] No longer depend on coreutils or realpath. Thanks to Michael
    Stone for the bug report (Closes: #877554)

 -- Michael Prokop <mika@grml.org>  Wed, 20 Feb 2019 16:35:12 +0100

## grml2usb 0.16.4

=== debian/changelog ===
grml2usb (0.16.4) unstable; urgency=medium

  * [203ce99] Force usage with python2 (Closes: #921327)
  * [c27e1e2] docs: update ISO filenames, referring to a more recent
    stable version
  * [a31bc9e] Update copyright year information
  * [ba5ec1e] grml2iso: update ISO filename in usage example

 -- Michael Prokop <mika@grml.org>  Thu, 28 Feb 2019 16:02:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper (>= 10~),
                docbook-xsl,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: https://git.grml.org/?p=grml2usb.git
@@ -20,9 +20,8 @@
 Depends: mtools,
          python,
          python-parted,
-         coreutils (>= 8.23-1~) | realpath,
          rsync,
-         syslinux | grub-pc | grub-efi-amd64,
+         syslinux | grub2-common, syslinux | grub-pc-bin,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: syslinux,

## grml2usb 0.16.6

=== debian/changelog ===
grml2usb (0.16.6) unstable; urgency=medium

  * [ef2f28e] Avoid custom boot options getting duplicated when used with
    multiple ISOs. Thanks to Ralf Moll for the bug report and Lukas Prokop
    for providing the bug fix

 -- Michael Prokop <mika@grml.org>  Thu, 11 Jul 2019 17:26:16 +0200

grml2usb (0.16.5) unstable; urgency=medium

  * [95b0773] Switch default mount point from /lib/live/mount/medium to
    /run/live/medium

 -- Michael Prokop <mika@grml.org>  Thu, 21 Mar 2019 12:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -30,4 +30,4 @@
 Description: install Grml system / ISO to usb device
  This script installs a Grml ISO to an USB device to be able
  to boot from it.  Make sure you have at least one Grml ISO
- or a running Grml system (/lib/live/mount/medium) available.
+ or a running Grml system (/run/live/medium) available.

## grml2usb 0.16.7

=== doc/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 man-stamp: mbr.8.txt
 	asciidoc -d manpage -b docbook mbr.8.txt
 	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/' mbr.8.xml
-	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl mbr.8.xml
+	xsltproc --novalid --nonet /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl mbr.8.xml
 	# ugly hack to avoid duplicate empty lines in manpage
 	# notice: docbook-xsl 1.71.0.dfsg.1-1 is broken! make sure you use 1.68.1.dfsg.1-0.2!
 	cp mbr.8 mbr.8.tmp

=== debian/changelog ===
grml2usb (0.16.7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [d3008fb] grml2usb: abort if required logo.16 file is missing
  * [6c16c88] grml2usb: print backtrace when --verbose is given
  * [3fd61a4] grml2usb: Add smoke autopkgtest for python2
  * [b2b68f0] grml2usb: add python3 test variant

  [ Michael Prokop ]
  * [66679fa] Port to py3k (Closes: #936663)
  * [29d54d4] Avoid subprocess.Popen with stdout/stderr=PIPE and wait()
    usage
  * [aaf46a1] Bump Standards-Version to 4.4.1
  * [0721603] Drop debian/compat and switch to debhelper-compat instead

 -- Michael Prokop <mika@grml.org>  Tue, 22 Oct 2019 15:18:23 +0200

## grml2usb 0.17.0

=== debian/changelog ===
grml2usb (0.17.0) unstable; urgency=medium

  [ Sven Joachim ]
  * [5b2ffe4] check_for_fat: Avoid comparing strings and bytes (Closes: #943838)
  * [c2e742a] check_boot_flag(): Open device in binary mode
  * [fd89485] Fix path to syslinux *.c32 files (Closes: #943845)


  [ Michael Prokop ]
  * [4d800e5] Provide git-describe based version information when running
    from within git. Thanks to Florian Apolloner for review and feedback
  * [9586781] No longer explicitly list addon files, instead copy all
    files from /boot/addons/
  * [ea3de89] check_for_fat(): use subprocess.check_output to avoid
    dependency on Python 3.7. Thanks to Florian Apolloner for review and
    feedback

 -- Michael Prokop <mika@grml.org>  Thu, 31 Oct 2019 12:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
            Christian Hofstaedtler <zeha@debian.org>,
            Ulrich Dangel <mru@spamt.net>
 Build-Depends: asciidoc,
-               debhelper (>= 10~),
+               debhelper-compat (= 12),
                docbook-xsl,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://grml.org/grml2usb/
 Vcs-git: git://git.grml.org/grml2usb.git
 Vcs-Browser: https://git.grml.org/?p=grml2usb.git
 
 Package: grml2usb
 Architecture: amd64 i386
-Depends: mtools,
-         python,
-         python-parted,
+Depends: kmod,
+         mtools,
+         python3,
+         python3-parted,
          rsync,
          syslinux | grub2-common, syslinux | grub-pc-bin,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 build-stamp:
 	dh_testdir
 
-	egrep -q "PROG_VERSION = '\*\*\*UNRELEASED\*\*\*'" grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
+	egrep -q "^PROG_VERSION = '\*\*\*UNKNOWN\*\*\*'" grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
 	$(MAKE)
 	cd mbr && $(MAKE) && cd ..
 	touch build-stamp
@@ -41,7 +41,7 @@
 
 	# Add here commands to install the package into debian/grml2usb.
 	install -m 755 grml2usb               debian/grml2usb/usr/sbin/grml2usb
-	sed -i -e "s/PROG_VERSION = '\*\*\*UNRELEASED\*\*\*'/PROG_VERSION = '$(VERSION)'/" debian/grml2usb/usr/sbin/grml2usb
+	sed -i -e "s/^PROG_VERSION = '\*\*\*UNKNOWN\*\*\*'/PROG_VERSION = '$(VERSION)'/" debian/grml2usb/usr/sbin/grml2usb
 	install -m 755 grml2iso               debian/grml2usb/usr/sbin/grml2iso
 	install -m 644 mbr/mbrmgr             debian/grml2usb/usr/share/grml2usb/mbr/mbrmgr
 	install -m 644 mbr/mbrldr             debian/grml2usb/usr/share/grml2usb/mbr/mbrldr

=== debian/tests/control ===
Tests: smoke-grml2usb-py2
Depends: dosfstools,
         kpartx,
         isolinux,
         python2,
         syslinux,
         syslinux-common,
         xorriso,
         @
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: smoke-grml2usb-py3
Depends: dosfstools,
         kpartx,
         isolinux,
         python2,
         syslinux,
         syslinux-common,
         xorriso,
         @
Restrictions: needs-root, isolation-machine, breaks-testbed
